const predefinedColors = ["#5470c6", "#91cc75", "#fac858"];
let colorIndex = 0;

const getRandomColor = () => {
  if (colorIndex < predefinedColors.length) {
    return predefinedColors[colorIndex++];
  } else {
    const letters = "0123456789ABCDEF";
    let color = "#";
    for (let i = 0; i < 6; i++) {
      color += letters[Math.floor(Math.random() * 16)];
    }
    return color;
  }
};

getRandomColor.resetIndex = () => {
  colorIndex = 0;
};

export default getRandomColor;
